Get Attestation

GEThttps://sandbox-api.truthlocks.com/v1/attestations/{id}Auth required

Retrieves a specific attestation by its unique ID. Returns the full attestation payload, signature, and status information.

Path Parameters

idstringrequired

The UUID of the attestation to retrieve

Defaults to 660e8400-e29b-41d4-a716-446655440001

Responses

{
  "id": "660e8400-e29b-41d4-a716-446655440001",
  "issuer_id": "550e8400-e29b-41d4-a716-446655440000",
  "kid": "ed-key-1",
  "status": "VALID",
  "payload": {
    "subject": "user:12345",
    "claim": "verified_email",
    "value": "user@example.com"
  },
  "signature": "base64_encoded_signature...",
  "log_index": 42,
  "created_at": "2026-01-13T12:00:00Z"
}
GET/v1/attestations/{id}
Language
CredentialsHEADER
Authorization
cURL Request
Examples ▾
curl --request GET \
  --url https://sandbox-api.truthlocks.com/v1/attestations/660e8400-e29b-41d4-a716-446655440001 \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --data '{}'
Response

Click Try It! to send a real request, or view sample responses: